Package org.eclipse.draw2d.graph

# Class RankList

java.lang.Object
org.eclipse.draw2d.graph.RankList

All Implemented Interfaces:
  `Iterable<Rank>`

public final class RankList extends Object implements Iterable<Rank>
For internal use only. A list of lists.

Since:
  2.1.2

## Constructor Summary

Constructors
Constructor
Description
`RankList()`

## Method Summary

Modifier and Type
Method
Description
`Rank`
`getRank(int rank)`
Returns the specified rank.
`Iterator<Rank>`
`iterator()`
`int`
`size()`
Returns the total number or ranks.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### RankList

public RankList()

## Method Details

### getRank

public Rank getRank(int rank)
Returns the specified rank.

Parameters:
  `rank` - the row
Returns:
  the rank

### size

public int size()
Returns the total number or ranks.

Returns:
  the total number of ranks

### iterator

public Iterator<Rank> iterator()

Specified by:
  `iterator` in interface `Iterable<Rank>`